---
- name: Include specific configuration for RHEL6
  ansible.builtin.include_tasks: clock-rhel-6.yml
  when: ansible_distribution_major_version == "6"

- name: Include ntp configuration
  ansible.builtin.include_tasks: "ntp_config.yml"
  when: ansible_distribution_major_version == "6" or (ansible_distribution_major_version | int < 8 and timeservice_selection == "ntp")

- name: Include chrony configuration
  ansible.builtin.include_tasks: "chrony_config.yml"
  when: (ansible_distribution_major_version | int >= 7 and timeservice_selection == "auto") or timeservice_selection  == "chrony"
